# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Currency',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name')),
                ('slug', models.SlugField(help_text='used for URLs, auto-generated from name if blank', unique=True, max_length=100, verbose_name='slug')),
                ('symbol', models.CharField(max_length=3, verbose_name='symbol')),
                ('creator', models.ForeignKey(related_name='currency_currency_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='currency_currency_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'code'),
                'verbose_name': 'currency',
                'verbose_name_plural': 'currencies',
            },
        ),
    ]
